Subject: Trainer Candidate - Amandeep Singh
From: Amandeep Singh <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 27 Apr 2021 02:29:07 -0400

Tech Support
Test

Name

Amandeep
Singh

E-mail

[email-masked]

Phone Number

(110018) 8860771000

Do you have your own
transportation (2 or 4 wheeler) or are you able to commute to office without
using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15
Metro Station

I can commute only using Metro

Where
do you currently live (area)

delhi

Please give us
details of your last 3 employments including current. If you've not worked in 3
companies, please enter NA

Name of Company

Designation

Last
working day

Monthly Salary (inhand)

Current
Employer

Nil

Nil

Nil

Previous Employer 1

Teleperformance

QA

08/06/2020

Previous Employer 2

If Selected, how much time do you need
to join?

immediate Joiner

Please briefly
describe your work experience specifically in training?

I have
work for three years with Teleperformance as a Quality Analyst profile. My work
Experince to guide the agents to handle the customers and to improve there
learning skills as well

Have you worked as a trainer in a Call
Center/Customer Service/BPO Environment?

No

Please tell us below in 300 - 500
words about the most difficult situation you faced either while training or
managing a team.

When i started my carrier in Quality Analyst
profile in BPO so there is so mamy difficulties i face in starting to manage a
team. Its a tough time to manage a team without know about the agents and there
scores and where they can stay with us.

Team gathering is very important which i understand after many days because i
was new with them and unable to manage the team.

Team management only done with great way to handle the agents and improve
them,specially on week agents

What according to you is the difference
between good and great customer service. (Explain in 4 - 6 sentences)

1.Where Agent solve the problems for customer and he appreciate
the brand and say good customer service who help the people problems Quickly and
fast.

2. I have a good example for great customer service as customer come to agent
and customer is very angry about his bill and agent feed his problem and solved
on chat or call, after this customer will happy and say that its grear customer
service who realise the customer problems.

What according to
you makes you a good candidate for this position?

Good
Knowlege and have good Experince to handle the situation for the
team

On a scale of 1 - 5 please rate your fluency in
spoken English

4